Bug 227751 - New port: graphics/p5-Image-PNG-Libpng: Perl interface to the C library "libpng"
Summary: New port: graphics/p5-Image-PNG-Libpng: Perl interface to the C library "libpng"
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Kurt Jaeger
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2018-04-24 19:17 UTC by kennedy.greg
Modified: 2018-05-08 14:07 UTC (History)
1 user (show)

See Also:


Attachments
graphics/p5-Image-PNG-Libpng port data (2.61 KB, text/plain)
2018-04-24 19:17 UTC, kennedy.greg
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description kennedy.greg 2018-04-24 19:17:35 UTC
Created attachment 192783 [details]
graphics/p5-Image-PNG-Libpng port data

Image::PNG::Libpng is a Perl library for accessing the contents of PNG
(Portable Network Graphics) images. Image::PNG::Libpng enables Perl to use the
"libpng" library for reading and writing files in the PNG format.
Image::PNG::Libpng does not contain "libpng". "libpng" must be installed on
the computer prior to installing Image::PNG::Libpng.

Image::PNG::Libpng consists of Perl subroutines which mirror the C functions
in libpng, plus helper subroutines to make it easier to read and write PNG data
in Perl.

WWW: http://search.cpan.org/dist/Image-PNG-Libpng/
Comment 1 Kurt Jaeger freebsd_committer 2018-05-07 17:14:51 UTC
Committed, thanks!
Comment 2 commit-hook freebsd_committer 2018-05-07 17:15:39 UTC
A commit references this bug:

Author: pi
Date: Mon May  7 17:14:44 UTC 2018
New revision: 469298
URL: https://svnweb.freebsd.org/changeset/ports/469298

Log:
  New port: graphics/p5-Image-PNG-Libpng

  Image::PNG::Libpng is a Perl library for accessing the contents of
  PNG (Portable Network Graphics) images. Image::PNG::Libpng enables
  Perl to use the "libpng" library for reading and writing files in
  the PNG format.

  Image::PNG::Libpng consists of Perl subroutines which mirror the C
  functions in libpng, plus helper subroutines to make it easier to
  read and write PNG data in Perl.

  WWW: http://search.cpan.org/dist/Image-PNG-Libpng/

  PR:		227751
  Submitted by:	Greg Kennedy <kennedy.greg@gmail.com>

Changes:
  head/graphics/Makefile
  head/graphics/p5-Image-PNG-Libpng/
  head/graphics/p5-Image-PNG-Libpng/Makefile
  head/graphics/p5-Image-PNG-Libpng/distinfo
  head/graphics/p5-Image-PNG-Libpng/pkg-descr
  head/graphics/p5-Image-PNG-Libpng/pkg-plist
Comment 3 commit-hook freebsd_committer 2018-05-08 14:07:24 UTC
A commit references this bug:

Author: pi
Date: Tue May  8 14:06:39 UTC 2018
New revision: 469376
URL: https://svnweb.freebsd.org/changeset/ports/469376

Log:
  graphics/p5-Image-PNG-Libpng: fix USE_PERL5

  PR:		227751
  Submitted by:	mat
  Pointy hat to:	pi

Changes:
  head/graphics/p5-Image-PNG-Libpng/Makefile